Problem installing libnet module <unix> 
Author Message
 Problem installing libnet module <unix>

After typing the "perl Makefile.PL" command the following error is displayed.


BEGIN failed--compilation aborted at Makefile.PL line 70.

My understanding is that libnet requires Data::Dumper and IO::Socket to be
installed as well.  I've installed Data::Dumper with no problems.  I also
have the understanding that IO::Socket comes bundled with Perl.  However I
cannot find IO::Socket anywhere on the system nor can my Unix Sys.
Admin..  Therefore I'm assuming it is already installed?

Any help would be appreciated.

Paul



Sun, 09 Jan 2000 03:00:00 GMT  
 Problem installing libnet module <unix>


Quote:

>After typing the "perl Makefile.PL" command the following error is displayed.


>BEGIN failed--compilation aborted at Makefile.PL line 70.

>My understanding is that libnet requires Data::Dumper and IO::Socket to be
>installed as well.  I've installed Data::Dumper with no problems.  I also
>have the understanding that IO::Socket comes bundled with Perl.  However I
>cannot find IO::Socket anywhere on the system nor can my Unix Sys.
>Admin..  Therefore I'm assuming it is already installed?

If you say

$ perl -de 1

Loading DB routines from perl5db.pl version 1
Emacs support available.

Enter h or `h h' for help.

main::(-e:1):   1
  DB<1> use IO::File

what happens?  If you get an error message then the IO::File (which will
live in some file whose full path ends in .../IO/File.pm) is missing.  You
can either get the IO modules from CPAN or (more useful if you have an old
perl 5.00x where x < 4) get perl 5.004_01 from a CPAN site and install
that.

CPAN can be found via http://www.perl.com/CPAN/ and the IO modules are in
at least ...CPAN/authors/Graham_Barr/ - check the IO-1.15.readme file in
there.

Hope this helps,

Mike
--

http://www.stok.co.uk/~mike/       |   PGP fingerprint FE 56 4D 7D 42 1A 4A 9C
http://www.tiac.net/users/stok/    |                   65 F3 3F 1D 27 22 B7 41



Sun, 09 Jan 2000 03:00:00 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. Problems Installing Libnet Bundle <Unix>

2. <<<<<< HELP >>>>>>>>

3. Mac <<-->> UNIX

4. Q : Problem installing module libnet-1.0505 !

5. <<My Sort Problem>>

6. My Witzend<--I : Curses install problem on SCO UNIX

7. >>>> A Singaporean Girl looking for more penpals!!<<<<<

8. <<>> COMPUTER SOFTWARE / HARDWARE <<>>

9. - - - = = =<><> W e b - U S A <><>= = = - - -

10. <<>> COMPUTER SOFTWARE / HARDWARE <<>>

11. Installing LIBNET 1.08 module via CPAN

 

 
Powered by phpBB® Forum Software